const fs = require("fs");
const path = require("path");
const { promisify } = require("util");

const readFile = promisify(fs.readFile);

module.exports = function(url, prev, done) {
	const root_dir = path.resolve("pages-src");
	const prev_path = path.resolve(root_dir, prev).startsWith(root_dir)
		? path.resolve(root_dir, prev, "..")
		: root_dir;
	const scss_file_path =
		prev === "stdin"
			? path.resolve(url)
			: path.resolve(
					prev_path,
					url.includes(".scss") ? url : `${url}.scss`
			  );
	readFile(scss_file_path, "utf8")
		.then(file_content => {
			done({
				contents: file_content.replace(
					/(asset\()(.*\))/,
					`$1"${path.resolve(scss_file_path, "..")}", $2`
				)
			});
		})
		.catch(err => {
			console.error(err);
			done(null);
		});
};
