const path = require("path");
const fs = require("fs");
const glob = require("glob");
const assert = require("assert");
const hashFile = require("./hash-file.js");

module.exports = function({ output_dir }) {
	assert.equal(
		typeof output_dir,
		"string",
		"'output_dir' prop should be a string"
	);
	glob.sync(`${output_dir}/styles/style.*.*`)
		.filter(name => !name.endsWith(".map"))
		.forEach(fs.unlinkSync);
	const outfile = path.resolve(output_dir, "styles/style.css");
	const css_hash = hashFile(outfile);
	const new_file_path = outfile.replace(
		/style\.css$/,
		`style.${css_hash}.css`
	);
	fs.symlinkSync(outfile, new_file_path);

	glob.sync(`${output_dir}/styles/style.*.*.*`)
		.filter(name => name.endsWith(".map"))
		.forEach(fs.unlinkSync);
	const syncfile = path.resolve(output_dir, "styles/style.css.map");
	const new_file_path_map = syncfile.replace(
		/style\.css\.map$/,
		`style.${css_hash}.css.map`
	);
	fs.symlinkSync(syncfile, new_file_path_map);
};
