const watch = require("node-watch");

module.exports = function setupWatch(path, callback) {
	let debouncer = null;

	watch(path, { recursive: true }, (event, filename) => {
		if (!filename || debouncer || filename.includes("#")) {
			return;
		}
		debouncer = setTimeout(() => {
			debouncer = null;
			console.log(`${filename} file Changed - rebuild`);
			callback(filename);
		}, 50);
	});
};
