const colors = require("colors");
const build_html_and_css = require("./build-html-and-css");
const clear_cache = require("./clear-cache");

const setupWatch = require("./setup-watch.js");

module.exports = function({
	output_dir,
	sitemap_file,
	scss_entrypoint,
	dirs_to_watch,
}) {
	const callback = () => {
		clear_cache(dirs_to_watch);
		build_html_and_css({ output_dir, sitemap_file, scss_entrypoint });
	};
	callback();
	for (let dir of dirs_to_watch) {
		setupWatch(dir, callback);
		setupWatch(dir, callback);
	}
};
